Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2161618 - F38FailsToInstall: ghdl, ghdl-llvm, ghdl-mcode
Summary: F38FailsToInstall: ghdl, ghdl-llvm, ghdl-mcode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghdl
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FailsToInstall F39FailsToInstall F40FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2023-01-17 12:15 UTC by Fedora Fails To Install
Modified: 2024-02-15 22:04 UTC (History)
8 users (show)

Fixed In Version: ghdl-3.0.0-1.20230308git7de967c.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-02-12 19:42:05 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Fails To Install 2023-01-17 12:15:27 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

Your package (ghdl) Fails To Install in Fedora 38:

can't install ghdl:
  - nothing provides libgnat-12.so()(64bit) needed by ghdl-0.38~dev-16.20201208git83dfd49.fc37.x86_64
  
can't install ghdl-llvm:
  - nothing provides libgnat-12.so()(64bit) needed by ghdl-llvm-0.38~dev-16.20201208git83dfd49.fc37.x86_64
  
can't install ghdl-mcode:
  - nothing provides libgnat-12.so()(64bit) needed by ghdl-mcode-0.38~dev-16.20201208git83dfd49.fc37.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-38-x86_64 --config-opts mirrored=False install ghdl ghdl-llvm ghdl-mcode


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Fedora Fails To Install 2023-01-24 14:09:00 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 2 Dan Horák 2023-01-24 14:17:56 UTC
I am going to look into it, unless you are faster, Thomas :-) I have a bigger update in progress, but need to finish it before doing an official build.

Comment 3 Ben Cotton 2023-02-07 15:12:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 38 development cycle.
Changing version to 38.

Comment 4 Plotti 2023-04-23 14:48:53 UTC
Hi.

This bug has found it's way into Fedora 38 release. Will GHDL be removed from Fedora soon, or will someone fix this issue?

Comment 5 Jay Kulpinski 2023-04-24 17:43:02 UTC
A workaround while waiting for the fix is to install libgnat from F37 via rpm before using dnf to install ghdl.

Comment 6 Knut J BJuland 2023-05-04 05:43:25 UTC
It also fails to build under mock mock -r /etc/mock/fedora-38-x86_64.cfg ghdl-0.38~dev-17.20201208git83dfd49.fc38.src.rpm --rebuild

RPM build warnings:

RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.jnudbe (%build)
    %patchN is deprecated (19 usages found), use %patch N (or %patch -P N)
    Bad exit status from /var/tmp/rpm-tmp.jnudbe (%build)
Finish: rpmbuild ghdl-0.38~dev-17.20201208git83dfd49.fc38.src.rpm
Finish: build phase for ghdl-0.38~dev-17.20201208git83dfd49.fc38.src.rpm
ERROR: Exception(ghdl-0.38~dev-17.20201208git83dfd49.fc38.src.rpm) Config(fedora-38-x86_64) 1 minutes 1 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-38-x86_64/result
ERROR: Command failed: 
 # /usr/bin/systemd-nspawn -q -M 5005cbdf71b246da8aec7c73646f751a -D /var/lib/mock/fedora-38-x86_64/root -a -u mockbuild --capability=cap_ipc_lock --bind=/tmp/mock-resolv.k84po4cu:/etc/resolv.conf --bind=/dev/btrfs-control --bind=/dev/mapper/control --bind=/dev/loop-control --bind=/dev/loop0 --bind=/dev/loop1 --bind=/dev/loop2 --bind=/dev/loop3 --bind=/dev/loop4 --bind=/dev/loop5 --bind=/dev/loop6 --bind=/dev/loop7 --bind=/dev/loop8 --bind=/dev/loop9 --bind=/dev/loop10 --bind=/dev/loop11 --console=pipe --setenv=TERM=vt100 --setenv=SHELL=/bin/bash --setenv=HOME=/builddir --setenv=HOSTNAME=mock --setenv=PATH=/usr/bin:/bin:/usr/sbin:/sbin --setenv=PROMPT_COMMAND=printf "\033]0;<mock-chroot>\007" --setenv=PS1=<mock-chroot> \s-\v\$  --setenv=LANG=C.UTF-8 --resolv-conf=off bash --login -c /usr/bin/rpmbuild -bb --noclean --target x86_64 --nodeps /builddir/build/SPECS/ghdl.spec

Comment 7 Knut J BJuland 2023-11-04 16:59:48 UTC
+ ./configure --prefix=/usr --disable-werror --with-llvm-config=/usr/bin/llvm-config --enable-libghdl --enable-synth
Use full IEEE library
Build machine is: x86_64-redhat-linux
Unhandled version llvm 17.0.2
error: Bad exit status from /var/tmp/rpm-tmp.DGCIMX (%build)

RPM build warnings:

RPM build errors:
    %patchN is deprecated (19 usages found), use %patch N (or %patch -P N)
    Bad exit status from /var/tmp/rpm-tmp.DGCIMX (%build)
Finish: rpmbuild ghdl-0.38~dev-18.20201208git83dfd49.fc39.src.rpm
Finish: build phase for ghdl-0.38~dev-18.20201208git83dfd49.fc39.src.rpm
ERROR: Exception(ghdl-0.38~dev-18.20201208git83dfd49.fc39.src.rpm) Config(fedora-39-x86_64) 1 minutes 55 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-39-x86_64/result
ERROR: Command failed: 
 # /usr/bin/systemd-nspawn -q -M 9e317704f7be41b9a26ccd41b7b8946e -D /var/lib/mock/fedora-39-x86_64/root -a -u mockbuild --capability=cap_ipc_lock --bind=/tmp/mock-resolv.ph1gwcd0:/etc/resolv.conf --bind=/dev/btrfs-control --bind=/dev/mapper/control --bind=/dev/fuse --bind=/dev/loop-control --bind=/dev/loop0 --bind=/dev/loop1 --bind=/dev/loop2 --bind=/dev/loop3 --bind=/dev/loop4 --bind=/dev/loop5 --bind=/dev/loop6 --bind=/dev/loop7 --bind=/dev/loop8 --bind=/dev/loop9 --bind=/dev/loop10 --bind=/dev/loop11 --console=pipe --setenv=TERM=vt100 --setenv=SHELL=/bin/bash --setenv=HOME=/builddir --setenv=HOSTNAME=mock --setenv=PATH=/usr/bin:/bin:/usr/sbin:/sbin '--setenv=PROMPT_COMMAND=printf "\033]0;<mock-chroot>\007"' '--setenv=PS1=<mock-chroot> \s-\v\$ ' --setenv=LANG=C.UTF-8 --resolv-conf=off bash --login -c '/usr/bin/rpmbuild -bb --noclean --target x86_64 --nodeps /builddir/build/SPECS/ghdl.spec'

and

Comment 8 seb 2024-01-09 14:46:04 UTC
Any news ? Is their a way I can help ?

Comment 9 Dan Horák 2024-01-09 14:59:11 UTC
Unfortunately I have no time to work on ghdl currently. It would be useful to have a PR to rebase ghdl to v3.0 and recent gcc, likely with backported patches for new LLVM or such.

Comment 10 Dan Horák 2024-02-12 14:05:26 UTC
Seems I have found my previous work where I rebased ghdl to 2.0.0 and gcc to 12. But I recall having some issues with the directory layout in the newer ghdl releases ...

Comment 11 Dan Horák 2024-02-12 19:16:26 UTC
Build of version 3.0.0 is in progress and should succeed based on my scratch build. Please report any issues in new bug(s), ideally as PRs fixing them.

Comment 12 Dan Horák 2024-02-12 19:17:46 UTC
Also, we should be able to submit builds for F-39 and F-38 with zero or minimal changes.

Comment 13 Fedora Update System 2024-02-12 19:39:09 UTC
FEDORA-2024-1187d830e4 (ghdl-3.0.0-1.20230308git7de967c.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-1187d830e4

Comment 14 Fedora Update System 2024-02-12 19:42:05 UTC
FEDORA-2024-1187d830e4 (ghdl-3.0.0-1.20230308git7de967c.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2024-02-13 08:13:00 UTC
FEDORA-2024-e9dec9cec8 (ghdl-3.0.0-1.20230308git7de967c.fc39) has been submitted as an update to Fedora 39.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-e9dec9cec8

Comment 16 Fedora Update System 2024-02-13 08:13:01 UTC
FEDORA-2024-68182e2780 (ghdl-3.0.0-1.20230308git7de967c.fc38) has been submitted as an update to Fedora 38.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-68182e2780

Comment 17 Fedora Update System 2024-02-14 02:11:03 UTC
FEDORA-2024-e9dec9cec8 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-e9dec9cec8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-e9dec9cec8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2024-02-14 02:25:12 UTC
FEDORA-2024-68182e2780 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-68182e2780`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-68182e2780

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 seb 2024-02-14 13:33:28 UTC
On Fedora 39 (Workstation Edition), I tried to install ghdl-3.0.0-1 from the repo updates-testing with this command:

```
sudo dnf install --enablerepo=updates-testing --refresh ghdl
```

But I got a missing dependencies error:

```
- nothing provides libgnat-12.so()(64bit) needed by ghdl-0.38~dev-16.20201208git83dfd49.fc37.x86_64 from fedora
- nothing provides libgcc >= 14.0.1 needed by ghdl-3.0.0-1.20230308git7de967c.fc39.x86_64 from updates-testing
```

Comment 20 Dan Horák 2024-02-14 13:38:07 UTC
grr, you are right, I have rebased the f38/f39 branches too far ... 

But nothing that couldn't be fixed, stay tuned.

Comment 21 Fedora Update System 2024-02-15 01:36:42 UTC
FEDORA-2024-e9dec9cec8 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-e9dec9cec8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-e9dec9cec8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 22 Fedora Update System 2024-02-15 01:52:33 UTC
FEDORA-2024-68182e2780 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-68182e2780`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-68182e2780

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 23 seb 2024-02-15 22:04:40 UTC
The installation worked for me, from the `updates-testing` repo.

(I cannot report a feedback on bodhi, I have issue to login.)


Note You need to log in before you can comment on or make changes to this bug.